## 📂 Estructura de la carpeta `data`

| Carpeta           | Descripción                                                                                                                                                                                                        |
|-------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `raw/`            | Contiene los archivos `.parquet` base utilizados como entrada del modelo. Incluye las tablas originales exportadas desde la base de datos DRIVE, así como archivos auxiliares como el CSV de GNN.                  |
| `interim/`        | Almacena resultados intermedios del preprocesado, como las tablas transformadas individualmente (paths, GNN con la clase añadida, etc.). Se usa como paso previo antes de la integración completa.                 |
| `unified/`        | Incluye las tablas ya integradas y preprocesadas, listas para el modelado.                                                                                                                                         |
| `oversampling/`   | Contiene los conjuntos de datos generados mediante técnicas de sobremuestreo (SMOTE). Esta carpeta se crea durante la ejecución de los modelos.                                                                    |
| `downsampling/`   | Contiene los datasets obtenidos tras aplicar técnicas de submuestreo (clustering). Esta carpeta se crea durante la ejecución de los modelos.                                                                       |
| `extra/`          | Guarda archivos auxiliares necesarios durante las transformaciones y el preprocesado, que se mantienen para asegurar consistencia en los datos. Estas tabla se crean durante la ejecución de las transformaciones. |
