# pipelines/no_sampling.py
from ..preprocessing import split_holdout, scale

def prepare(df, model_name):
    X_train, y_train, X_test_alz, y_test_alz, df_test_alz, X_test_esq, y_test_esq, df_test_esq = split_holdout(df)

    if model_name in {"knn", "logistic_regression"}:
        X_train, X_test_alz = scale(X_train, X_test_alz)
        _, X_test_esq = scale(X_train, X_test_esq)

    return X_train, y_train, X_test_alz, y_test_alz, df_test_alz, X_test_esq, y_test_esq, df_test_esq
